Bug 86166 - segfault: Deleting a sheet with comments in specific spreadsheet causes a crash
Summary: segfault: Deleting a sheet with comments in specific spreadsheet causes a crash
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.4.0 release
Hardware: Other All
: medium major
Assignee: Markus Mohrhard
URL:
Whiteboard: target:4.4.0.0.beta3 target:4.5.0 tar...
Keywords: notBibisectable, regression
Depends on:
Blocks:
 
Reported: 2014-11-11 18:57 UTC by Timur
Modified: 2015-12-17 10:58 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
crash on delete sheet 1 or 2 with comments, sheet 3 can be deleted (68.39 KB, application/vnd.oasis.opendocument.spreadsheet)
2014-11-11 18:59 UTC, Timur
Details
crash on delete sheet - debug WinDGB.xt (8.01 KB, text/plain)
2014-11-11 19:00 UTC, Timur
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Timur 2014-11-11 18:57:30 UTC
Deleting any of the first 2 sheets with the comments causes a crash. 
Deleting the 3rd sheet ("test2") without the comments doesn't causes a crash (while tested with comments, used to also crash on delete). 
Tested with LO from 3.5.7 over 4.2.7 and 4.3.3 up to 4.4.0 master in Win64.
Spreadsheet and debug log from WinDBG attached.
Comment 1 Timur 2014-11-11 18:59:48 UTC
Created attachment 109301 [details]
crash on delete sheet 1 or 2 with comments, sheet 3 can be deleted
Comment 2 Timur 2014-11-11 19:00:29 UTC
Created attachment 109302 [details]
crash on delete sheet - debug WinDGB.xt
Comment 3 raal 2014-11-11 19:25:48 UTC
I can confirm with Version: 4.3.4.0.0+
Build ID: e812aaaf31050c29a9499d3936cf07079b1a5f86
TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:libreoffice-4-3, Time: 2014-11-10_10:51:25
Comment 4 Cor Nouws 2014-11-11 19:26:24 UTC
confirmed in 4.3.3.2

thanks Timur. A fresh file doesn't have the problem.
The attached one is a converted xls.
Comment 5 Terrence Enger 2014-11-12 15:30:14 UTC
I have created a segfault with daily dbgutil repository versions
2014-11-12 and 2014-05-21 and with a parallel installation of 4.3.2.2
on Linux.  However, I can delete the first two worksheets without any
obvious problem with bibisect-43all repository versions oldest and
latest.  So, setting whiteboard notBibisectable.

In all my experiments, I disabled macros.
Comment 6 Timur 2014-11-27 16:43:05 UTC
Tested in 3.3.4.1 and not reproduced, and reproduced earliest in 3.4.0.1. Added "regression".
Comment 7 Commit Notification 2014-12-08 06:48:33 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d80a59a22dc993be8259e43f4d46e4471f1b7cc3&h=libreoffice-4-4

we need the SdrPage for deleting the notes, fdo#86166

It will be available in 4.4.0.0.beta3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2014-12-08 06:50:01 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b45e1b58700c8303596a0aac9705d8c1577903b3

we need the SdrPage for deleting the notes, fdo#86166

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Timur 2014-12-08 12:35:59 UTC
Very nice. Can it be backported to 4.3? If not late for 4.3.5?
Comment 10 Markus Mohrhard 2014-12-08 14:02:14 UTC
(In reply to Timur from comment #9)
> Very nice. Can it be backported to 4.3? If not late for 4.3.5?

It has been pushed to 4-3 review together with the other commits. Stable branches just need to go through review in contrast to development branches.
Comment 11 Commit Notification 2014-12-09 09:17:08 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8efdd9909cc46b4a00236f148f2f5c8349377c33&h=libreoffice-4-3

we need the SdrPage for deleting the notes, fdo#86166

It will be available in 4.3.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 12 Robinson Tryon (qubit) 2015-12-17 10:58:10 UTC
Migrating Whiteboard tags to Keywords: (notBibisectable)
[NinjaEdit]